commit: 42b597e279711430e5f90dc64c413126f008c5f1
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon May 22 12:42:32 2017 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon May 22 14:13:02 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=42b597e2
dev-python/rst-linker: Update namespace support
dev-python/rst-linker/rst-linker-1.9-r1.ebuild | 59 ++++++++++++++++++++++++++
1 file changed, 59 insertions(+)
diff --git a/dev-python/rst-linker/rst-linker-1.9-r1.ebuild
b/dev-python/rst-linker/rst-linker-1.9-r1.ebuild
new file mode 100644
index 00000000000..021399caa7b
--- /dev/null
+++ b/dev-python/rst-linker/rst-linker-1.9-r1.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy{,3} )
+
+inherit distutils-r1
+
+MY_PN="${PN/-/.}"
+DESCRIPTION="Sphinx plugin to add links and timestamps to the changelog"
+HOMEPAGE="https://github.com/jaraco/rst.linker"
+SRC_URI="mirror://pypi/${PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~s390 ~sh
~sparc ~x86"
+IUSE="doc test"
+
+RDEPEND="
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm-1.15.0[${PYTHON_USEDEP}]
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+ test? (
+ ${RDEPEND}
+ dev-python/path-py[${PYTHON_USEDEP}]
+ >=dev-python/pytest-2.8[${PYTHON_USEDEP}]
+ dev-python/pytest-runner[${PYTHON_USEDEP}]
+ )
+"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+python_compile_all() {
+ use doc && esetup.py build_sphinx
+}
+
+python_test() {
+ py.test --ignore=rst || die "tests failed with ${EPYTHON}"
+}
+
+python_install() {
+ distutils-r1_python_install
+
+ # namespace used only by this package in Gentoo at the moment
+ python_moduleinto rst
+ python_domodule rst/__init__.py
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( "${BUILD_DIR}"/sphinx/html/. )
+ distutils-r1_python_install_all
+
+ find "${D}" -name '*.pth' -delete || die
+}